summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/ganv/Manifest1
-rw-r--r--media-libs/ganv/ganv-1.6.0.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/media-libs/ganv/Manifest b/media-libs/ganv/Manifest
index 7fe792a92cad..4c2028e8ae3f 100644
--- a/media-libs/ganv/Manifest
+++ b/media-libs/ganv/Manifest
@@ -1 +1,2 @@
DIST ganv-1.4.2.tar.bz2 175510 BLAKE2B 4e6d7e411c78a516ea6603245ae13787607591b061d3856f305bcc4731f27ef46897d032a9b8a1f672776b41351823f89a2ddfeac40b47f584dbf638af79d466 SHA512 0609dea81cceb0c560286ad2f132f318c2d583af5163dcea4511155e78a022248dcb7ae535233493bdf906fb036422ebd4368d688123f3e1676c4e0398cbc6c2
+DIST ganv-1.6.0.tar.bz2 377068 BLAKE2B f78c4783f0188fd163b087c789d50eb67a54a77d26d261d3557fba46a7bee09fc3326204273ad496d6b2ae262368015c3f186c290f2b85e6d5297eeed7596677 SHA512 05900aa63e65646e75f805dfe6ae5901efb19ae31a3f0a6730a713bfaffc47bb93f683879ce2a75093ea09e84a9d3137966b68b4ad307707753dead1df439a09
diff --git a/media-libs/ganv/ganv-1.6.0.ebuild b/media-libs/ganv/ganv-1.6.0.ebuild
new file mode 100644
index 000000000000..516ec4cbc85d
--- /dev/null
+++ b/media-libs/ganv/ganv-1.6.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+# oes not work with python3
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE='threads(+)'
+inherit eutils flag-o-matic waf-utils python-any-r1
+
+DESCRIPTION="A GTK+ widget for interactive graph-like environments"
+HOMEPAGE="http://drobilla.net/software/ganv/"
+SRC_URI="http://download.drobilla.net/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+fdgl +graphviz introspection nls"
+
+RDEPEND="
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:2.4
+ x11-libs/gtk+:2
+ graphviz? ( media-gfx/graphviz[gtk] )
+ introspection? (
+ app-text/yelp-tools
+ dev-libs/gobject-introspection:=[doctool] )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ dev-util/glib-utils
+ nls? ( virtual/libintl )
+"
+
+src_configure() {
+ append-cxxflags -std=c++11
+ waf-utils_src_configure \
+ $(use graphviz || echo "--no-graphviz") \
+ $(use fdgl || echo "--no-fdgl") \
+ $(use nls || echo "--no-nls") \
+ $(use introspection && echo "--gir")
+}